Mailinglist Archive: opensuse-features (518 mails)

< Previous Next >
[openFATE 310085] Zypper: Filter Security Needed patches
  • From: fate_noreply@xxxxxxx
  • Date: Sun, 1 Aug 2010 06:23:23 +0200 (CEST)
  • Message-id: <feature-310085-4@xxxxxxxxxxxxxx>
Feature changed by: Michael Moser (Mose)
Feature #310085, revision 4
- Title: Zypper patch: Filter Security Needed patches
+ Title: Zypper: Filter Security Needed patches

Package Wishlist: Unconfirmed
Priority
Requester: Desirable

Requested by: Michael Moser (mose)

Description:
I would be nice if there was a way to install only security patches
that are 'Needed'. I have a multitude of SuSE based servers under
management where I work, and we need to keep boxes up to date with
security releases. Since we dont manage the applications the customer
uses, we have no way of knowing if recommended patches for any given
package will have adverse affects on their software.
Currently we zypper pchk | grep ' Needed' then copy the output of that
output to zypper patch
Something to the order of:
 
* zypper patch -s (security only)
* zypper patch -r (recommended only)
* zypper patch (Defaults to all patches)
I've seen alot of threads on google on this subject, I think it would
be a worthwhile implementation.
 
 
 


--
openSUSE Feature:
https://features.opensuse.org/310085

< Previous Next >
List Navigation
This Thread